define(
{
    "reducedVersion":true,
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"List of Figures",
                    "href":"lof.html"
                },
                {
                    "title":"List of Tables",
                    "href":"lot.html"
                },
                {
                    "title":"Title and Copyright Information",
                    "href":"index.html"
                },
                {
                    "title":"Preface",
                    "href":"preface.html#GUID-F5B435D6-1C94-4E5F-9FC6-B1CF82D236D4"
                },
                {
                    "title":"Part I Introduction",
                    "href":"introduction.html#GUID-8E94F78B-7E41-407B-9206-848F76BEE16D",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">1 </span> Introduction to Data Cartridges",
                            "href":"introduction-to-data-cartridges.html#GUID-2B30E30F-D8A3-4B1D-A3FE-49DE7472A528"
                        },
                        {
                            "title":"<span class=\"secnum\">2 </span> Roadmap to Building a Data Cartridge",
                            "href":"roadmap-to-building-a-data-cartridge.html#GUID-B3735C6B-309A-470C-AEEA-9B72C5F9A108"
                        }
                    ]
                },
                {
                    "title":"Part II Building Data Cartridges",
                    "href":"building-data-cartridges.html#GUID-371D3178-7AE3-4AA6-B4BD-A00936F2CDC7",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">3 </span> Defining Object Types for Data Cartridges",
                            "href":"defining-object-types-for-data-cartridges.html#GUID-B6109DA0-DE36-41CA-974A-2304689F19DA"
                        },
                        {
                            "title":"<span class=\"secnum\">4 </span> Implementing Data Cartridges in PL/SQL",
                            "href":"implementing-data-cartridges-in-PL-SQL.html#GUID-BD3BCD88-0539-477E-AFA0-59656048D6F4"
                        },
                        {
                            "title":"<span class=\"secnum\">5 </span> Implementing Data Cartridges in C, C++, and Java",
                            "href":"implementing-data-cartridges-in-C-CPP-and-java.html#GUID-387703C2-5DDF-47FE-B78F-21A465989B91"
                        },
                        {
                            "title":"<span class=\"secnum\">6 </span> Working with Unstructured Data Types",
                            "href":"working-with-multimedia-data-types.html#GUID-5469F1F7-BD5B-4FB4-8F13-AE4CA0915F6D"
                        },
                        {
                            "title":"<span class=\"secnum\">7 </span> Using Extensible Indexing",
                            "href":"using-extensible-indexing.html#GUID-B783991B-8682-4FF2-9491-0D5BD9B1195E"
                        },
                        {
                            "title":"<span class=\"secnum\">8 </span> Building Domain Indexes",
                            "href":"building-domain-indexes.html#GUID-E370B5E4-BAC0-49C6-B17D-830B3A507FB4"
                        },
                        {
                            "title":"<span class=\"secnum\">9 </span> Defining Operators",
                            "href":"defining-operators.html#GUID-E10C1C49-E5DA-45E9-959D-E203DD964FBF"
                        },
                        {
                            "title":"<span class=\"secnum\">10 </span> Using Extensible Optimizer",
                            "href":"using-extensible-optimizer.html#GUID-7E1BFCFC-9C05-4CC6-9E4F-B1B1212DBE84"
                        },
                        {
                            "title":"<span class=\"secnum\">11 </span> Using Cartridge Services",
                            "href":"using-cartridge-services.html#GUID-2CB76BF0-C6C9-46BB-89C4-3619BC7A0F39"
                        },
                        {
                            "title":"<span class=\"secnum\">12 </span> Using User-Defined Aggregate Functions",
                            "href":"using-user-defined-aggregate-functions.html#GUID-D7E77319-DC23-4CF0-B746-27ED7BE9240D"
                        },
                        {
                            "title":"<span class=\"secnum\">13 </span> Using Pipelined and Parallel Table Functions",
                            "href":"using-pipelined-and-parallel-table-functions.html#GUID-EFB94CFB-3E44-4236-B490-ADBB480C94D4"
                        },
                        {
                            "title":"<span class=\"secnum\">14 </span> Designing Data Cartridges",
                            "href":"designing-data-cartridges.html#GUID-710BECF8-1973-4BDE-94D2-3712A5630198"
                        }
                    ]
                },
                {
                    "title":"Part III Scenarios and Examples",
                    "href":"scenarios-and-examples.html#GUID-BCDA2A5A-1320-4993-950D-2F66F197E483",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">15 </span> Power Demand Cartridge Example",
                            "href":"example-for-power-demand-cartridge.html#GUID-60A032E8-F21B-4026-847B-654BE6C38C17"
                        },
                        {
                            "title":"<span class=\"secnum\">16 </span> PSBTREE: Extensible Indexing Example",
                            "href":"example-for-PSBTREE-extensible-indexing.html#GUID-BCF6B1CB-56CD-458D-8D27-79281119E9CF"
                        },
                        {
                            "title":"<span class=\"secnum\">17 </span> Pipelined Table Functions: Interface Approach Example",
                            "href":"example-for-pipelined-table-functions-interface-approach.html#GUID-B4BE4F35-B893-45D6-B8B4-235E23F80C6B"
                        }
                    ]
                },
                {
                    "title":"Part IV Reference",
                    "href":"reference.html#GUID-0954923C-69C8-453B-BAD8-FA3A9A1B72E0",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">18 </span> Cartridge Services Using C, C++ and Java",
                            "href":"cartridge-services-using-C-CPP-and-java.html#GUID-43B4F11B-33E4-4722-93E0-9D8F809CC745"
                        },
                        {
                            "title":"<span class=\"secnum\">19 </span> Extensibility Constants, Types, and Mappings",
                            "href":"extensibility-constants-types-and-mappings.html#GUID-0C7F23BA-A9CA-472E-8830-FDF4BFA5556F"
                        },
                        {
                            "title":"<span class=\"secnum\">20 </span> Extensible Indexing Interface",
                            "href":"extensible-indexing-interface.html#GUID-78B9066F-6262-447D-80C1-EFB39C6930F1"
                        },
                        {
                            "title":"<span class=\"secnum\">21 </span> Extensible Optimizer Interface",
                            "href":"extensible-optimizer-interface.html#GUID-2B314B88-73C1-49A0-9A74-1AB99B20FA94"
                        },
                        {
                            "title":"<span class=\"secnum\">22 </span> User-Defined Aggregate Functions Interface",
                            "href":"user-defined-aggregate-functions-interface.html#GUID-76049AC3-03F2-461A-8E5F-EC364AF2169F"
                        },
                        {
                            "title":"<span class=\"secnum\">23 </span> Pipelined and Parallel Table Functions",
                            "href":"pipelined-and-parallel-table-functions.html#GUID-FA3B69A8-3DFC-43F1-8435-F1BC8874B687"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">A </span> User-Managed Local Domain Indexes",
                    "href":"user-managed-local-domain-indexes.html#GUID-D6B24522-6E9F-421D-92A9-8416E25BF04F"
                },
                {
                    "title":"Index",
                    "href":"book-index.html"
                }
            ]
        }
    ]
});