define(
{
    "reducedVersion":true,
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"Title and Copyright Information",
                    "href":"index.html"
                },
                {
                    "title":"Preface",
                    "href":"preface.html#GUID-02957445-DCA3-408A-B16A-72527C816CCD"
                },
                {
                    "title":"Part I Basic Database Administration",
                    "href":"basic-database-administration.html#GUID-1DF51F9B-86E9-4E40-A30E-00714E7C0003",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">1 </span> Getting Started with Database Administration",
                            "href":"getting-started-with-database-administration.html#GUID-EA8CC987-EF18-4434-B962-01312CD3A8AC"
                        },
                        {
                            "title":"<span class=\"secnum\">2 </span> Configuring Automatic Restart of an Oracle Database",
                            "href":"configuring-automatic-restart-of-an-oracle-database.html#GUID-5832E064-85C6-453C-B932-99700B1732A9"
                        },
                        {
                            "title":"<span class=\"secnum\">3 </span> Managing Processes",
                            "href":"managing-processes.html#GUID-9B3A136E-D275-417B-B6F4-59A45D42655F"
                        },
                        {
                            "title":"<span class=\"secnum\">4 </span> Managing Memory",
                            "href":"managing-memory.html#GUID-BEABE53D-8058-4834-B99B-5C80A8AD5B06"
                        },
                        {
                            "title":"<span class=\"secnum\">5 </span> Managing Users and Securing the Database",
                            "href":"managing-users-and-securing-the-database.html#GUID-6ECD7474-E756-4B3E-B5CF-2B92B1BCACA1"
                        },
                        {
                            "title":"<span class=\"secnum\">6 </span> Monitoring the Database",
                            "href":"monitoring-the-database.html#GUID-62D13052-02B4-4667-8739-C8B96C18054C"
                        },
                        {
                            "title":"<span class=\"secnum\">7 </span> Diagnosing and Resolving Problems",
                            "href":"diagnosing-and-resolving-problems.html#GUID-8DEB1BE0-8FB9-4FB2-A19A-17CF6F5791C3"
                        }
                    ]
                },
                {
                    "title":"Part II Oracle Database Structure and Storage",
                    "href":"oracle-database-structure-and-storage.html#GUID-F11D30A7-BF12-4D8F-A1C2-D7437D38F8C7",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">8 </span> Managing Control Files",
                            "href":"managing-control-files.html#GUID-5F6F9382-6921-4992-9789-E63B18E99C5F"
                        },
                        {
                            "title":"<span class=\"secnum\">9 </span> Managing the Redo Log",
                            "href":"managing-the-redo-log.html#GUID-BC1F1762-0BB1-4218-B7AF-6160C395AAE4"
                        },
                        {
                            "title":"<span class=\"secnum\">10 </span> Managing Archived Redo Log Files",
                            "href":"managing-archived-redo-log-files.html#GUID-5EE4AC49-E1B2-41A2-BEE7-AA951EAAB2F3"
                        },
                        {
                            "title":"<span class=\"secnum\">11 </span> Managing Tablespaces",
                            "href":"managing-tablespaces.html#GUID-1C162C60-6698-44F2-B2A9-F3E2D2958D88"
                        },
                        {
                            "title":"<span class=\"secnum\">12 </span> Managing Data Files and Temp Files",
                            "href":"managing-data-files-and-temp-files.html#GUID-501A8889-3C18-4F99-B0B7-9095E981B970"
                        },
                        {
                            "title":"<span class=\"secnum\">13 </span> Transporting Data",
                            "href":"transporting-data.html#GUID-1901E9C3-8FCE-4D4E-AB65-34D703474E52"
                        },
                        {
                            "title":"<span class=\"secnum\">14 </span> Managing Undo",
                            "href":"managing-undo.html#GUID-2C865CF9-A8B5-4BF1-A451-E8C08D3611F0"
                        },
                        {
                            "title":"<span class=\"secnum\">15 </span> Using Oracle Managed Files",
                            "href":"using-oracle-managed-files.html#GUID-4A3C4616-0D81-4BBA-8EAD-FCAA8AD5C15A"
                        },
                        {
                            "title":"<span class=\"secnum\">16 </span> Using Persistent Memory Database",
                            "href":"using-PMEM-db-support.html#GUID-E5D17A8C-D508-4A50-8774-9AAA85562621"
                        }
                    ]
                },
                {
                    "title":"Part III Schema Objects",
                    "href":"schema-objects.html#GUID-2DA8C61C-58B0-4892-8E5D-E7A9120BC120",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">17 </span> Managing Schema Objects",
                            "href":"managing-schema-objects.html#GUID-5BEEEA18-8606-48CA-B51A-34FD301BF93B"
                        },
                        {
                            "title":"<span class=\"secnum\">18 </span> Managing Space for Schema Objects",
                            "href":"managing-space-for-schema-objects.html#GUID-1950156D-DECC-4E76-84D9-2C2A3D8D6565"
                        },
                        {
                            "title":"<span class=\"secnum\">19 </span> Managing Tables",
                            "href":"managing-tables.html#GUID-707B02F5-E589-4C20-8E2E-5ED4F7888702"
                        },
                        {
                            "title":"<span class=\"secnum\">20 </span> Managing Indexes",
                            "href":"managing-indexes.html#GUID-E4149397-FF37-4367-A12F-675433715904"
                        },
                        {
                            "title":"<span class=\"secnum\">21 </span> Managing Clusters",
                            "href":"managing-clusters.html#GUID-2EB6D65C-3DD8-4C92-A8B4-C05197B6CF2D"
                        },
                        {
                            "title":"<span class=\"secnum\">22 </span> Managing Hash Clusters",
                            "href":"managing-hash-clusters.html#GUID-EC3F7A6F-3648-48AA-8737-FFCC6E4964CF"
                        },
                        {
                            "title":"<span class=\"secnum\">23 </span> Managing Views, Sequences, and Synonyms",
                            "href":"managing-views-sequences-and-synonyms.html#GUID-11AE4E2F-B193-4FEE-89C5-62C1CB7ABCC5"
                        },
                        {
                            "title":"<span class=\"secnum\">24 </span> Repairing Corrupted Data",
                            "href":"repairing-corrupted-data.html#GUID-21282FF3-1E98-478E-8111-0A7CAFCFCD97"
                        }
                    ]
                },
                {
                    "title":"Part IV Database Resource Management and Task Scheduling",
                    "href":"database-resource-management-and-task-scheduling.html#GUID-50F0AB88-007D-4A11-BCBC-78AE0367F8FD",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">25 </span> Managing Automated Database Maintenance Tasks",
                            "href":"managing-automated-database-maintenance-tasks.html#GUID-7F7C805E-BA64-43A5-9A09-FC259FFA9AA8"
                        },
                        {
                            "title":"<span class=\"secnum\">26 </span> Managing Resources with Oracle Database Resource Manager",
                            "href":"managing-resources-with-oracle-database-resource-manager.html#GUID-2BEF5482-CF97-4A85-BD90-9195E41E74EF"
                        },
                        {
                            "title":"<span class=\"secnum\">27 </span> Oracle Scheduler Concepts",
                            "href":"oracle-scheduler-concepts.html#GUID-6B8C0335-D36B-44D3-95BC-82FA2141D967"
                        },
                        {
                            "title":"<span class=\"secnum\">28 </span> Scheduling Jobs with Oracle Scheduler",
                            "href":"scheduling-jobs-with-oracle-scheduler.html#GUID-D41660D0-D88F-4D9F-8CC8-63D040EDC4E6"
                        },
                        {
                            "title":"<span class=\"secnum\">29 </span> Administering Oracle Scheduler",
                            "href":"administering-oracle-scheduler.html#GUID-5271609E-3476-4E4A-A28F-8E9776D2B20A"
                        },
                        {
                            "title":"<span class=\"secnum\">30 </span> Managing Transactions",
                            "href":"managing-transactions.html#GUID-42B0873B-276E-4F40-9E7D-46CA95D0FBDB"
                        }
                    ]
                },
                {
                    "title":"Part V Distributed Database Management",
                    "href":"distributed-database-management.html#GUID-43B1A794-4C8E-4CC5-BF5B-A408A50EB6FA",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">31 </span> Distributed Database Concepts",
                            "href":"distributed-database-concepts.html#GUID-36A35EC6-D3BA-4284-ADA0-732E10F3425E"
                        },
                        {
                            "title":"<span class=\"secnum\">32 </span> Managing a Distributed Database",
                            "href":"managing-a-distributed-database.html#GUID-E9D35ED6-24CA-4F6B-9277-D7F9E6BE3116"
                        },
                        {
                            "title":"<span class=\"secnum\">33 </span> Developing Applications for a Distributed Database System",
                            "href":"developing-applications-for-a-distributed-database-system.html#GUID-6F3F4439-F580-48E2-8D1D-D60381438653"
                        },
                        {
                            "title":"<span class=\"secnum\">34 </span> Distributed Transactions Concepts",
                            "href":"distributed-transactions-concepts.html#GUID-C1B373BA-410E-4F38-8522-F72A74665919"
                        },
                        {
                            "title":"<span class=\"secnum\">35 </span> Managing Distributed Transactions",
                            "href":"managing-distributed-transactions.html#GUID-AB19431E-BF9F-4181-BC57-699F8A06149D"
                        }
                    ]
                },
                {
                    "title":"Part VI Managing Read-Only Materialized Views",
                    "href":"managing-read-only-materialized-views.html#GUID-7AAEC1A7-01BA-4293-AF46-F026AA2B0237",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">36 </span> Read-Only Materialized View Concepts",
                            "href":"read-only-materialized-view-concepts.html#GUID-A422B474-4BED-4A60-AEDB-E93630746083"
                        },
                        {
                            "title":"<span class=\"secnum\">37 </span> Read-Only Materialized View Architecture",
                            "href":"read-only-materialized-view-architecture.html#GUID-C7012EE7-3870-4B01-8EBC-7D3247088D03"
                        },
                        {
                            "title":"<span class=\"secnum\">38 </span> Planning for Read-Only Materialized Views",
                            "href":"planning-for-read-only-materialized-views.html#GUID-6BB3E1F3-D89C-4716-9659-4893BD841C4D"
                        },
                        {
                            "title":"<span class=\"secnum\">39 </span> Creating and Managing Read-Only Materialized Views",
                            "href":"creating-and-managing-read-only-materialized-views.html#GUID-005E917F-83C4-4D16-8A61-62C2C5100B7C"
                        },
                        {
                            "title":"<span class=\"secnum\">40 </span> Troubleshooting Problems with Read-Only Materialized Views",
                            "href":"troubleshooting-problems-with-read-only-materialized-views.html#GUID-022C5C7F-2EC9-44CB-A74B-CC01600BCC17"
                        }
                    ]
                },
                {
                    "title":"Appendixes",
                    "href":"appendixes.html#GUID-1C1C46B7-4686-43D8-AF22-554FF8C4AFBD",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">A </span> Support for DBMS_JOB",
                            "href":"support-for-DBMS_JOB.html#GUID-CC42E8DA-7203-449E-BCEA-8187ECC4BCDF"
                        },
                        {
                            "title":"<span class=\"secnum\">B </span> Blockchain Tables Reference",
                            "href":"blockchain_reference.html#GUID-AF2B1AA3-CFDD-4CAF-84AC-F6C6CDFEB6D1"
                        }
                    ]
                },
                {
                    "title":"Index",
                    "href":"book-index.html"
                }
            ]
        }
    ]
});