define(
{
    "reducedVersion":true,
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"Title and Copyright Information",
                    "href":"index.html"
                },
                {
                    "title":"Preface",
                    "href":"preface.html#GUID-7D3491E2-0173-40F7-BC81-3E05BB61D607"
                },
                {
                    "title":"<span class=\"secnum\">1 </span> Introduction to Oracle Autonomous Health Framework",
                    "href":"autonomous-health-framework.html#GUID-22A9CFB5-0AEA-46AB-9DA7-62CC2D421DAF",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">1.1 </span> Oracle Autonomous Health Framework Problem and Solution Space",
                            "href":"autonomous-health-framework-problem-and-solution-space.html#GUID-55AD507C-0D79-4ADB-A4F7-4E7B9312A364"
                        },
                        {
                            "title":"<span class=\"secnum\">1.2 </span> Components of Autonomous Health Framework",
                            "href":"components-ahf.html#GUID-9EB9BE42-7DEF-4BDD-A59C-01BD6CE285EE",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">1.2.1 </span> Introduction to Oracle Autonomous Health Framework Configuration Audit Tools",
                                    "href":"introduction-orachk-and-exachk.html#GUID-3714EC33-B0C9-45BC-BC46-869D6B7C8AF7"
                                },
                                {
                                    "title":"<span class=\"secnum\">1.2.2 </span> Introduction to Cluster Health Monitor",
                                    "href":"introduction-cluster-health-monitor.html#GUID-F0C38D19-995C-48FF-AB78-E0BE021F9946"
                                },
                                {
                                    "title":"<span class=\"secnum\">1.2.3 </span> Introduction to Oracle Trace File Analyzer",
                                    "href":"introduction-oracle-trace-file-analyzer.html#GUID-6A08EA65-0F7A-459A-B418-6D812458DEC0"
                                },
                                {
                                    "title":"<span class=\"secnum\">1.2.4 </span> Introduction to Oracle Cluster Health Advisor",
                                    "href":"cluster-health-advisor.html#GUID-464029A9-AE1D-4F6A-B75E-4E85A2DE9901"
                                },
                                {
                                    "title":"<span class=\"secnum\">1.2.5 </span> Introduction to Blocker Resolver",
                                    "href":"hang-manager.html#GUID-6E2043A6-E460-4442-A6F7-088206563D5E"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"Part I Analyzing the Cluster Configuration",
                    "href":"analyzing-risks-and-complying-best-practices.html#GUID-12698473-E129-4836-A93F-C173D69492A6",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">2 </span> Proactively Detecting and Diagnosing Performance Issues for Oracle RAC",
                            "href":"purpose-cluster-health-advisor.html#GUID-78F409B6-7CB2-4103-9460-4E87F48DCEC2",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">2.1 </span> Oracle Cluster Health Advisor Architecture",
                                    "href":"cluster-health-advisor-architecture.html#GUID-B5A8B420-3B20-48C5-B28F-2036AD22B132"
                                },
                                {
                                    "title":"<span class=\"secnum\">2.3 </span> Monitoring the Oracle Real Application Clusters (Oracle RAC) Environment with Oracle Cluster Health Advisor",
                                    "href":"monitoring-rac-cha.html#GUID-1B030BFC-1AE9-40CB-8044-463435D640B7"
                                },
                                {
                                    "title":"<span class=\"secnum\">2.4 </span> Using Cluster Health Advisor for Health Diagnosis",
                                    "href":"using-cha-health-diagnosis.html#GUID-284BA0EA-97F0-4D00-BB22-0AC25A2B973A"
                                },
                                {
                                    "title":"<span class=\"secnum\">2.5 </span> Calibrating an Oracle Cluster Health Advisor Model for a Cluster Deployment",
                                    "href":"calibrating-cha-model-cluster-deployment.html#GUID-749C0751-6D4F-4B17-BCE4-13F24DB50667"
                                },
                                {
                                    "title":"<span class=\"secnum\">2.6 </span> Viewing the Details for an Oracle Cluster Health Advisor Model",
                                    "href":"viewing-cha-model-details.html#GUID-B66226D3-FE46-4639-990A-4E069867231A"
                                },
                                {
                                    "title":"<span class=\"secnum\">2.7 </span> Managing the Oracle Cluster Health Advisor Repository",
                                    "href":"managing-cha-repository.html#GUID-5AC80CAD-A08F-446F-AD80-B0963ED2BF7C"
                                },
                                {
                                    "title":"<span class=\"secnum\">2.8 </span> Viewing the Status of Cluster Health Advisor",
                                    "href":"using-srvctl.html#GUID-BD790DCD-4FC5-41D6-9E83-0F6A5AD73179"
                                },
                                {
                                    "title":"<span class=\"secnum\">2.9 </span> Enhanced Cluster Health Advisor Support for Oracle Pluggable Databases",
                                    "href":"enhanced-cha-support-for-pdbs.html#GUID-DE041CDD-AC98-4242-A27A-999D5D36C52E"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"Part II Automatically Monitoring the Cluster",
                    "href":"automatically-monitoring-cluster.html#GUID-1703071E-85AF-44B6-B9C9-AA72A38A5467",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">3 </span> Collecting Operating System Resources Metrics",
                            "href":"purpose-cluster-health-monitor.html#GUID-D30E017F-B2B9-461B-8035-5A04D64A617B",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">3.1 </span> Understanding Cluster Health Monitor Services",
                                    "href":"understanding-cluster-health-monitor-services.html#GUID-7279D351-6DBA-48F0-BB70-214F99885EB2"
                                },
                                {
                                    "title":"<span class=\"secnum\">3.2 </span> Collecting Cluster Health Monitor Data",
                                    "href":"collecting-cluster-health-monitor-data.html#GUID-75A96A06-01B9-4D78-AAC6-639A2E709A8E"
                                },
                                {
                                    "title":"<span class=\"secnum\">3.3 </span> Operating System Metrics Collected by Cluster Health Monitor",
                                    "href":"os-metrics-collected-by-chm.html#GUID-79836BB1-BBB5-43E2-BE00-D290D3DB85A2"
                                },
                                {
                                    "title":"<span class=\"secnum\">3.4 </span> Detecting Component Failures and Self-healing Autonomously",
                                    "href":"detecting-component-failures-and-self-healing-autonomously.html#GUID-B8CBB9C3-443A-410F-BE1E-3FDF71FF68CA"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">4 </span> Monitoring System Metrics for Cluster Nodes",
                            "href":"monitoring-oracle-clusterware.html#GUID-E3771F4E-6F18-4641-9468-17BA38082F31",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">4.1 </span> Monitoring Oracle Clusterware with Oracle Enterprise Manager",
                                    "href":"monitoring-clusterware-enterprise-manager.html#GUID-90D030B5-0D5A-4255-8E8A-4409B898B8FD"
                                },
                                {
                                    "title":"<span class=\"secnum\">4.2 </span> Monitoring Oracle Clusterware with Cluster Health Monitor",
                                    "href":"monitoring-clusterware-chm.html#GUID-CE85B3FE-E3B8-46BF-8C17-4834D7FD0633"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"Part III Automatic Problem Solving",
                    "href":"automatic-problem-solving.html#GUID-E1A4447E-0A02-40E7-A46A-ED327E45B504",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">5 </span> Resolving Database and Database Instance Delays",
                            "href":"purpose-hang-manager.html#GUID-1A6AFDF9-9F4D-40B9-B2CB-97286AEFFFFB",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">5.1 </span> Blocker Resolver Architecture",
                                    "href":"hang-manager-arch.html#GUID-5A59C41D-39E3-456F-9B67-07061692C4A6"
                                },
                                {
                                    "title":"<span class=\"secnum\">5.2 </span> Optional Configuration for Blocker Resolver",
                                    "href":"enabling-hang-manager-oracle-rac-environment.html#GUID-C1E88CA1-9398-4114-A875-D43615F8F140"
                                },
                                {
                                    "title":"<span class=\"secnum\">5.3 </span> Blocker Resolver Diagnostics and Logging",
                                    "href":"hang-manager-diagnostics-and-logging.html#GUID-419C30AF-1BFB-4DEA-A6CA-CDBB99B24F2C"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"Appendixes",
                    "href":"appendixes.html#GUID-D77D07F2-AB41-49FA-AD54-D3C1354A0BA0",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">A </span> OCLUMON Command Reference",
                            "href":"oclumon-command-reference.html#GUID-1A00F7D4-4843-4647-AFF8-07021719404F"
                        },
                        {
                            "title":"<span class=\"secnum\">B </span> Querying Cluster Resource Activity Log",
                            "href":"cluster-resource-activity-log.html#GUID-7650ADB9-3CB1-4516-8470-4501EBB42B01",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">B.1 </span> crsctl query calog",
                                    "href":"crsctl-query-calog.html#GUID-257FAEAB-3AD6-4255-98CA-6416787E948F"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">C </span> chactl Command Reference",
                            "href":"chactl-command-reference.html#GUID-9AD6BC7D-F0F5-41E9-80CB-9BD911FCE586",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">C.1 </span> chactl monitor",
                                    "href":"chactl-monitor.html#GUID-D57DCEF9-83B9-43E5-BA85-52C96BD58CC4"
                                },
                                {
                                    "title":"<span class=\"secnum\">C.2 </span> chactl unmonitor",
                                    "href":"chactl-unmonitor.html#GUID-598C1256-8931-44F5-9015-03150546DE41"
                                },
                                {
                                    "title":"<span class=\"secnum\">C.3 </span> chactl status",
                                    "href":"chactl-status.html#GUID-A76C4E89-7C2E-46B5-A3DD-A7F6E76DF166"
                                },
                                {
                                    "title":"<span class=\"secnum\">C.4 </span> chactl config",
                                    "href":"chactl-config.html#GUID-942D5587-41BA-4599-A79E-E2C69A24647F"
                                },
                                {
                                    "title":"<span class=\"secnum\">C.5 </span> chactl calibrate",
                                    "href":"chactl-calibrate.html#GUID-868D37F5-F439-4E10-AFE3-3BED56FFC125"
                                },
                                {
                                    "title":"<span class=\"secnum\">C.6 </span> chactl query diagnosis",
                                    "href":"chactl-query-diagnosis.html#GUID-07F4C0DB-541B-4509-B851-64E497B0D876"
                                },
                                {
                                    "title":"<span class=\"secnum\">C.7 </span> chactl query model",
                                    "href":"chactl-query-model.html#GUID-F434A716-1875-464D-BCDE-E77969641F5C"
                                },
                                {
                                    "title":"<span class=\"secnum\">C.8 </span> chactl query repository",
                                    "href":"chactl-query-repository.html#GUID-41B609B2-4F3F-41D6-B16B-25D84E4AF67C"
                                },
                                {
                                    "title":"<span class=\"secnum\">C.9 </span> chactl query calibration",
                                    "href":"chactl-query-calibration.html#GUID-7B21CB95-983B-4F64-AF4E-F1F82CC38412"
                                },
                                {
                                    "title":"<span class=\"secnum\">C.10 </span> chactl remove model",
                                    "href":"chactl-remove.html#GUID-955C1E6B-6304-45E9-866D-7B42A7E008BC"
                                },
                                {
                                    "title":"<span class=\"secnum\">C.11 </span> chactl rename model",
                                    "href":"chactl-rename.html#GUID-FBFD995E-AC1C-4115-9D89-C570C596E9CE"
                                },
                                {
                                    "title":"<span class=\"secnum\">C.12 </span> chactl export model",
                                    "href":"chactl-export-model.html#GUID-0E517EFB-C268-481C-A676-659F0B7A2EE4"
                                },
                                {
                                    "title":"<span class=\"secnum\">C.13 </span> chactl import model",
                                    "href":"chactl-import-model.html#GUID-C6A52CAF-18CC-42D8-84BB-9C08949EFA63"
                                },
                                {
                                    "title":"<span class=\"secnum\">C.14 </span> chactl set maxretention",
                                    "href":"chactl-set-maxretention.html#GUID-1A72946C-B85A-436A-A0BD-579938832505"
                                },
                                {
                                    "title":"<span class=\"secnum\">C.15 </span> chactl resize repository",
                                    "href":"chactl-resize-repository.html#GUID-741EDDFA-8258-4379-82D0-DB471009B0D5"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">D </span> Behavior Changes, Deprecated and Desupported Features",
                            "href":"deprecated-and-desupported-features.html#GUID-12FF8A50-6C9D-4183-8C71-8401AA693C25",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">D.1 </span> Oracle Database Quality of Service (QoS) Management is Deprecated and Desupported in Release 21c",
                                    "href":"qos-deprecated.html#GUID-C138BCEE-A137-45E3-912B-5CB45F343A72"
                                },
                                {
                                    "title":"<span class=\"secnum\">D.2 </span> Autonomous Heath Framework Scope (AHF Scope) Deprecated",
                                    "href":"ahf-scope-deprecated.html#GUID-21F86A53-5D3A-45B5-8FCF-3B4FF2CFA5E3"
                                }
                            ]
                        }
                    ]
                }
            ]
        }
    ]
});