define(
{
    "reducedVersion":true,
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"Title and Copyright Information",
                    "href":"index.html"
                },
                {
                    "title":"Preface",
                    "href":"preface.html#GUID-BC3C1EF5-4D1A-449A-8032-B3EE0C299A89"
                },
                {
                    "title":"Part I Overview of Backup and Recovery",
                    "href":"part-overview-backup-recovery.html#GUID-CD5F857C-198E-4097-A5C8-F0D7E9C00D30",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">1 </span> Introduction to Backup and Recovery",
                            "href":"introduction-backup-recovery.html#GUID-9997EF87-B293-44D4-92F3-DD938E79170D"
                        },
                        {
                            "title":"<span class=\"secnum\">2 </span> Getting Started with RMAN",
                            "href":"getting-started-rman.html#GUID-871FF5B2-C82B-462E-8182-FA28CF7B3E3B"
                        }
                    ]
                },
                {
                    "title":"Part II Starting and Configuring RMAN and Flashback Database",
                    "href":"part-starting-configuring-rman.html#GUID-F25F36B4-B31E-438D-AAF9-C555BE8082B1",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">3 </span> Recovery Manager Architecture",
                            "href":"rman-architecture.html#GUID-8ECC1FB0-7D25-4883-B9A6-2593FDB35940"
                        },
                        {
                            "title":"<span class=\"secnum\">4 </span> Starting and Interacting with the RMAN Client",
                            "href":"starting-interacting-with-rman-client.html#GUID-E4E287F5-5F36-431A-B069-F360A5B4BC7C"
                        },
                        {
                            "title":"<span class=\"secnum\">5 </span> Configuring the RMAN Environment",
                            "href":"configuring-rman-client-basic.html#GUID-5155F8E6-6E35-4261-9CC1-F12DAA9FAC5B"
                        },
                        {
                            "title":"<span class=\"secnum\">6 </span> Configuring the RMAN Environment: Advanced Topics",
                            "href":"configuring-rman-client-advanced.html#GUID-2210B194-FDA8-4BB4-BC1E-DBE7DBEACB4A"
                        },
                        {
                            "title":"<span class=\"secnum\">7 </span> Using Flashback Database and Restore Points",
                            "href":"using-flasback-database-restore-points.html#GUID-909BBEEF-389B-443B-8CD7-F3C027AAFFF3"
                        }
                    ]
                },
                {
                    "title":"Part III Backing Up and Archiving Data",
                    "href":"part-backing-up-archiving.html#GUID-008E0F84-E623-4467-8706-A99B34002DD6",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">8 </span> RMAN Backup Concepts",
                            "href":"rman-backup-concepts.html#GUID-B3380142-ABCD-437F-9E06-B219D74E6738"
                        },
                        {
                            "title":"<span class=\"secnum\">9 </span> Backing Up the Database",
                            "href":"backing-up-database.html#GUID-93BAB347-063F-439E-BDF3-109AB8D1F8E7"
                        },
                        {
                            "title":"<span class=\"secnum\">10 </span> Backing Up the Database: Advanced Topics",
                            "href":"backing-up-database-advanced.html#GUID-A4FABEF4-677C-42ED-9DF8-3731ADA12E5F"
                        }
                    ]
                },
                {
                    "title":"Part IV Managing RMAN Backups",
                    "href":"part-managing-rman-backups.html#GUID-9B9779FA-2C8B-4D11-AC3B-F6FFA95AE2D1",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">11 </span> Reporting on RMAN Operations",
                            "href":"reporting-rman-operations.html#GUID-550638CC-0D16-4B1A-83C7-5D10181DC7C1"
                        },
                        {
                            "title":"<span class=\"secnum\">12 </span> Maintaining RMAN Backups and Repository Records",
                            "href":"maintaining-rman-backups.html#GUID-F5C3D045-279B-4AB3-8A91-3231A716402C"
                        },
                        {
                            "title":"<span class=\"secnum\">13 </span> Managing a Recovery Catalog",
                            "href":"managing-recovery-catalog.html#GUID-E836E243-6620-495B-ACFB-AC0001EF4E89"
                        }
                    ]
                },
                {
                    "title":"Part V Diagnosing and Responding to Failures",
                    "href":"part-diagnosing-responding-failures.html#GUID-ED89DC53-A816-450B-BFF4-A712D2694EEC",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">14 </span> RMAN Data Repair Concepts",
                            "href":"rman-data-repair-concepts.html#GUID-1805CCF7-4AF2-482D-B65A-998192F89C2B"
                        },
                        {
                            "title":"<span class=\"secnum\">15 </span> Validating Database Files and Backups",
                            "href":"validating-database-files-backups.html#GUID-CC967929-9610-410D-B881-66E71353D84C"
                        },
                        {
                            "title":"<span class=\"secnum\">16 </span> Performing Complete Database Recovery",
                            "href":"rman-complete-database-recovery.html#GUID-D908719C-9D46-4084-850C-0F81C25094EB"
                        },
                        {
                            "title":"<span class=\"secnum\">17 </span> Performing Flashback and Database Point-in-Time Recovery",
                            "href":"rman-performing-flashback-dbpitr.html#GUID-5463669A-DC89-4FF4-ACCE-136A72DF687B"
                        },
                        {
                            "title":"<span class=\"secnum\">18 </span> Performing Block Media Recovery",
                            "href":"rman-block-media-recovery.html#GUID-1E226393-17D0-4AB0-A05D-91210255D8FF"
                        },
                        {
                            "title":"<span class=\"secnum\">19 </span> Performing RMAN Recovery: Advanced Scenarios",
                            "href":"rman-recovery-advanced.html#GUID-EA9DB3ED-2481-47DD-908B-A314D5C3F730"
                        },
                        {
                            "title":"<span class=\"secnum\">20 </span> Performing RMAN Tablespace Point-in-Time Recovery (TSPITR)",
                            "href":"performing-rman-tspitr.html#GUID-CAACDB53-7C3A-45B4-8249-C5D855D47571"
                        },
                        {
                            "title":"<span class=\"secnum\">21 </span> Recovering Tables and Table Partitions",
                            "href":"rman-recovering-tables-partitions.html#GUID-87B7F772-335F-4179-81C9-91678D026D01"
                        }
                    ]
                },
                {
                    "title":"Part VI Tuning and Troubleshooting",
                    "href":"part-rman-tuning-troubleshooting.html#GUID-94A203E0-5A7B-4C15-AB4D-7F86B26B890D",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">22 </span> Tuning RMAN Performance",
                            "href":"tuning-rman-performance.html#GUID-33D81037-2310-4021-8039-1A2C579AAA5A"
                        },
                        {
                            "title":"<span class=\"secnum\">23 </span> Troubleshooting RMAN Operations",
                            "href":"troubleshooting-rman-operations.html#GUID-ABFD58BD-5D3B-4A6C-AA46-E085AE234D73"
                        }
                    ]
                },
                {
                    "title":"Part VII Transferring Data with RMAN",
                    "href":"part-transfering-data-rman.html#GUID-A341A776-5EEF-41C5-B708-338453D4DFB2",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">24 </span> Duplicating Databases",
                            "href":"rman-duplicating-databases.html#GUID-F31F9FCE-B610-49EB-B9DB-44B9AA4E838F"
                        },
                        {
                            "title":"<span class=\"secnum\">25 </span> Duplicating Databases: Advanced Topics",
                            "href":"rman-duplicating-databases-advanced.html#GUID-8E3B1C4D-9B1F-422D-9A35-8A5AE71C36F5"
                        },
                        {
                            "title":"<span class=\"secnum\">26 </span> Creating Transportable Tablespace Sets",
                            "href":"creating-transportable-tablespace-sets.html#GUID-123F4E45-0324-4D1D-980F-E176A9E22C87"
                        },
                        {
                            "title":"<span class=\"secnum\">27 </span> Transporting Data Across Platforms",
                            "href":"rman-transporting-data-across-platforms.html#GUID-65AADCB6-CC9A-4229-9AB8-805C37E4471F"
                        },
                        {
                            "title":"<span class=\"secnum\">28 </span> Simplified Data Transport Using RMAN Backups",
                            "href":"simplified-data-transport.html#GUID-BB0E3EBC-6720-4E33-9219-95F4CEA6FA65"
                        }
                    ]
                },
                {
                    "title":"Part VIII Setting Up RMAN for Cloud Backup and Restores",
                    "href":"part-setting-rman-cloud-backups.html#GUID-55952963-AC6F-457F-A893-3EED29952857",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">29 </span> Backing Up an Oracle Database to Cloud",
                            "href":"backing-up-cloud.html#GUID-B1EBFA43-F75F-4E2A-BC50-4FD570868332"
                        },
                        {
                            "title":"<span class=\"secnum\">30 </span> Persistent Settings for RMAN Cloud Backups",
                            "href":"persistent-setting-cloud-backups.html#GUID-8D0CBFB9-63C0-4141-A838-9611D77FF7BB"
                        },
                        {
                            "title":"<span class=\"secnum\">31 </span> Oracle Database Backup Cloud Service",
                            "href":"backup-cloud-service.html#GUID-52D314EB-40D7-444A-A73B-8DB9EFF92A3E"
                        },
                        {
                            "title":"<span class=\"secnum\">32 </span> Oracle Database Cloud Backup Module for Azure",
                            "href":"backup-azure-blobstorage.html#GUID-24B1BDAC-B4C4-4C1D-8519-27BF7AD5BC53"
                        },
                        {
                            "title":"<span class=\"secnum\">33 </span> Oracle Secure Backup Cloud Module for Amazon S3",
                            "href":"backup-amazons3-aws.html#GUID-F187E3A0-EA0E-49DA-B075-4FE7C5846A32"
                        }
                    ]
                },
                {
                    "title":"Part IX Performing User-Managed Backup and Recovery",
                    "href":"part-user-managed-backup-recovery.html#GUID-F74964D7-F1D1-4401-827A-32D3E51BB41D",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">34 </span> Making User-Managed Database Backups",
                            "href":"user-managed-database-backups.html#GUID-2193FAD0-F62C-4671-9272-55E8BD7367DC"
                        },
                        {
                            "title":"<span class=\"secnum\">35 </span> Performing User-Managed Database Flashback and Recovery",
                            "href":"user-managed-flashback-dbpitr.html#GUID-704F6AB0-04C4-4345-913B-B316DD06D05E"
                        },
                        {
                            "title":"<span class=\"secnum\">36 </span> Performing User-Managed Recovery: Advanced Scenarios",
                            "href":"user-managed-recovery-advanced.html#GUID-24903185-E2CE-452E-8370-E4A47AD2632B"
                        }
                    ]
                },
                {
                    "title":"Glossary",
                    "href":"glossary.html#GUID-44B5A820-D859-47F5-99CC-56A95AF4BB3E"
                },
                {
                    "title":"Index",
                    "href":"book-index.html"
                }
            ]
        }
    ]
});