define(
{
    "reducedVersion":true,
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"Title and Copyright Information",
                    "href":"index.html"
                },
                {
                    "title":"Preface",
                    "href":"preface.html#GUID-2C9113F9-0E0A-46F9-B6A7-80DDBF115681"
                },
                {
                    "title":"<span class=\"secnum\">1 </span> Oracle Data Guard Broker Concepts",
                    "href":"oracle-data-guard-broker-concepts.html#GUID-723E5B73-A350-4B2E-AF3C-5EA4EFC83966"
                },
                {
                    "title":"<span class=\"secnum\">2 </span> Oracle Data Guard Installation",
                    "href":"oracle-data-guard-broker-installation-requirements.html#GUID-21393DF3-FD7E-44AA-A90C-6533E03CBDDA"
                },
                {
                    "title":"<span class=\"secnum\">3 </span> Managing Broker Configurations",
                    "href":"managing-oracle-data-guard-broker-configurations.html#GUID-FCCDC53A-C6F4-4AFB-A220-9D6622474027"
                },
                {
                    "title":"<span class=\"secnum\">4 </span> Managing the Members of a Broker Configuration",
                    "href":"managing-oracle-data-guard-broker-configuration-members.html#GUID-0CD70A29-4F51-4CC1-88EB-2D8AA29F75D7"
                },
                {
                    "title":"<span class=\"secnum\">5 </span> Managing Members of a DG PDB Broker Configuration",
                    "href":"managing-oracle-data-guard-broker-dgpdb-configuration-members.html#GUID-FC91CF75-0EF8-43C2-80C4-55B12C029E30"
                },
                {
                    "title":"<span class=\"secnum\">6 </span> Switchover and Failover Operations",
                    "href":"using-data-guard-broker-to-manage-switchovers-failovers.html#GUID-44E7A982-7CD4-4A51-B00E-62C0698C5CD6"
                },
                {
                    "title":"<span class=\"secnum\">7 </span> Switchover and Failover in DG PDB Environments",
                    "href":"using-data-guard-broker-to-manage-dgpdb-switchovers-failovers.html#GUID-E497C11F-6F6F-4431-8192-408F6EC21F20"
                },
                {
                    "title":"<span class=\"secnum\">8 </span> Scenarios Using the DGMGRL Command-Line Interface",
                    "href":"examples-using-data-guard-broker-DGMGRL-utility.html#GUID-D9018A5C-8C7A-4F6C-A7D3-B14E5AF7D4BC"
                },
                {
                    "title":"<span class=\"secnum\">9 </span> Scenarios for Using DGMGRL with a DG PDB Configuration (23ai)",
                    "href":"scenarios-using-dgmgrl-dg-pdb-configuration-23c.html",
                    "topics":[
                        {
                            "title":"Prerequisites for Using DG PDB",
                            "href":"prerequisites-using-dg-pdb-23ai.html"
                        },
                        {
                            "title":"Scenario 1: Prepare the Databases",
                            "href":"scenario-1-prepare-databases.html"
                        },
                        {
                            "title":"Scenario 2: Prepare the Environment",
                            "href":"scenario-2-prepare-environment.html"
                        },
                        {
                            "title":"Scenario 3: Create the Source and Target Configurations",
                            "href":"scenario-3-create-source-and-target-configurations.html"
                        },
                        {
                            "title":"Scenario 4: Establish a Connection Between the Configurations and Enable Them",
                            "href":"scenario-4-establish-connection-configurations-and-enable-them.html"
                        },
                        {
                            "title":"Scenario 5: Prepare the Databases for DG PDB",
                            "href":"scenario-5-prepare-databases-dg-pdb.html"
                        },
                        {
                            "title":"Scenario 6: Configure Data Guard Protection for the Source PDB",
                            "href":"scenario-6-configure-data-guard-protection-source-pdb.html"
                        },
                        {
                            "title":"Scenario 7: Switchover from Source PDB to Target PDB",
                            "href":"scenario-7-switchover-source-pdb-target-pdb.html"
                        },
                        {
                            "title":"Scenario 8: Failover to Target PDB",
                            "href":"scenario-8-failover-target-pdb.html"
                        },
                        {
                            "title":"Scenario 9: Monitoring a DG PDB Configuration",
                            "href":"scenario-9-monitoring-dg-pdb-configuration.html"
                        },
                        {
                            "title":"Scenario 10: Removing a DG PDB Configuration",
                            "href":"scenario-10-removing-dg-pdb-configuration.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">10 </span> Oracle Data Guard Command-Line Interface Reference",
                    "href":"oracle-data-guard-broker-commands.html#GUID-E7889124-C414-466F-9FBB-B8F035881F89"
                },
                {
                    "title":"<span class=\"secnum\">11 </span> Oracle Data Guard DBMS_DG API Reference",
                    "href":"oracle-data-guard-dbms_dg-api-reference.html",
                    "topics":[
                        {
                            "title":"Oracle Data Guard DBMS_DG API Summary",
                            "href":"dbms_dg-api-summary.html"
                        },
                        {
                            "title":"ADD_DATABASE",
                            "href":"add_database.html"
                        },
                        {
                            "title":"ADD_FAR_SYNC",
                            "href":"add_far_sync.html"
                        },
                        {
                            "title":"ADD_RECOVERY_APPLIANCE",
                            "href":"add_recovery_appliance.html"
                        },
                        {
                            "title":"CONVERT_TO_PHYSICAL",
                            "href":"convert_to_physical.html"
                        },
                        {
                            "title":"CONVERT_TO_SNAPSHOT",
                            "href":"convert_to_snapshot.html"
                        },
                        {
                            "title":"CREATE_CONFIGURATION",
                            "href":"create_configuration.html"
                        },
                        {
                            "title":"DISABLE",
                            "href":"disable.html"
                        },
                        {
                            "title":"DISABLE_CONFIGURATION",
                            "href":"disable_configuration.html"
                        },
                        {
                            "title":"DISABLE_FS_FAILOVER",
                            "href":"disable_fs_failover.html"
                        },
                        {
                            "title":"DISABLE_FS_FAILOVER_CONDITION",
                            "href":"disable_fs_failover_condition.html"
                        },
                        {
                            "title":"ENABLE",
                            "href":"enable.html"
                        },
                        {
                            "title":"ENABLE_CONFIGURATION",
                            "href":"enable_configuration.html"
                        },
                        {
                            "title":"ENABLE_FS_FAILOVER",
                            "href":"enable_fs_failover.html"
                        },
                        {
                            "title":"ENABLE_FS_FAILOVER_CONDITION",
                            "href":"enable_fs_failover_condition.html"
                        },
                        {
                            "title":"FAILOVER",
                            "href":"failover1.html"
                        },
                        {
                            "title":"GET_CONFIGURATION_PROPERTY",
                            "href":"get_configuration_property.html"
                        },
                        {
                            "title":"GET_PROPERTY",
                            "href":"get_property.html"
                        },
                        {
                            "title":"HEALTH_CHECK",
                            "href":"health_check.html"
                        },
                        {
                            "title":"REINSTATE",
                            "href":"reinstate.html"
                        },
                        {
                            "title":"REMOVE",
                            "href":"remove.html"
                        },
                        {
                            "title":"REMOVE_CONFIGURATION",
                            "href":"remove_configuration.html"
                        },
                        {
                            "title":"REMOVE_INSTANCE",
                            "href":"remove_instance.html"
                        },
                        {
                            "title":"RESET_CONFIGURATION_PROPERTY",
                            "href":"reset_configuration_property.html"
                        },
                        {
                            "title":"RESET_PROPERTY",
                            "href":"reset_property.html"
                        },
                        {
                            "title":"SET_CONFIGURATION_PROPERTY",
                            "href":"set_configuration_property.html"
                        },
                        {
                            "title":"SET_PROPERTY",
                            "href":"set_property.html"
                        },
                        {
                            "title":"SET_PROTECTION_MODE",
                            "href":"set_protection_mode.html"
                        },
                        {
                            "title":"SET_STATE_APPLY_OFF",
                            "href":"set_state_apply_off.html"
                        },
                        {
                            "title":"SET_STATE_APPLY_ON",
                            "href":"set_state_apply_on.html"
                        },
                        {
                            "title":"SET_STATE_TRANSPORT_OFF",
                            "href":"set_state_transport_off.html"
                        },
                        {
                            "title":"SET_STATE_TRANSPORT_ON",
                            "href":"set_state_transport_on.html"
                        },
                        {
                            "title":"STOP_OBSERVER",
                            "href":"stop_observer.html"
                        },
                        {
                            "title":"SWITCHOVER",
                            "href":"switchover2.html"
                        },
                        {
                            "title":"WAIT",
                            "href":"wait.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">12 </span> Oracle Data Guard Broker Properties",
                    "href":"oracle-data-guard-broker-properties.html#GUID-1966A317-DD75-4385-8A64-ADEC75662F7E"
                },
                {
                    "title":"<span class=\"secnum\">13 </span> Troubleshooting Oracle Data Guard",
                    "href":"troubleshooting-oracle-data-guard-broker.html#GUID-CF46FC94-2F5B-40AA-89A6-8B8F2B124807"
                },
                {
                    "title":"<span class=\"secnum\">A </span> Upgrade and Downgrade Considerations for Data Guard for Container Databases",
                    "href":"upgrading-downgrading-in-data-guard-broker-configuration.html#GUID-82682FF3-6052-471B-B581-5E91183A5432"
                },
                {
                    "title":"Glossary",
                    "href":"glossary.html#GUID-AD81F35C-F89F-446B-84AC-D963BFB0C41D"
                },
                {
                    "title":"Index",
                    "href":"book-index.html"
                }
            ]
        }
    ]
});