define(
{
    "reducedVersion":true,
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"Title and Copyright Information",
                    "href":"index.html"
                },
                {
                    "title":"Preface",
                    "href":"preface.html#GUID-A79F5F16-4ADC-4BAD-A65B-134E2EE13DC4"
                },
                {
                    "title":"Part I Introduction",
                    "href":"part-intro.html#GUID-56D8FA4E-A74D-4993-8D69-CFDE9E54666B",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">1 </span> Introducing Oracle Automatic Storage Management",
                            "href":"asm-intro.html#GUID-BC612D35-5399-4A35-843E-CF76E3D3CDB5"
                        },
                        {
                            "title":"<span class=\"secnum\">2 </span> Exploring Considerations for Oracle ASM Storage",
                            "href":"considerations-asm-storage.html#GUID-2D51DA36-0BC8-4602-9D5E-4CBF41A6D7F1"
                        }
                    ]
                },
                {
                    "title":"Part II Oracle ASM Instances and Disk Groups",
                    "href":"part-instance-diskgroup.html#GUID-74C67180-6F24-4F50-8581-0DF71F1C5B47",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">3 </span> Administering Oracle ASM Instances",
                            "href":"asm-instance.html#GUID-461E1F97-9F75-4B14-AB6A-893BD8D371DE",
                            "topics":[
                                {
                                    "title":"Operating with Different Releases of Oracle ASM and Database Instances Simultaneously",
                                    "href":"different-releases-asm-db-instances.html#GUID-7702B9CF-38FC-4AAD-B651-F30DF2B74CA5"
                                },
                                {
                                    "title":"Initialization Parameters for Oracle ASM Instances",
                                    "href":"init-params-asm-instance.html#GUID-E31FC459-3208-4390-9A27-2FB626520EC4"
                                },
                                {
                                    "title":"Administration of Oracle ASM Instances",
                                    "href":"admin-asm-instance.html#GUID-477BB93D-539D-463C-ADA7-72EBEA76D31A"
                                },
                                {
                                    "title":"Upgrading and Patching Oracle ASM",
                                    "href":"upgrade-patch-asm.html#GUID-383A26A4-AB4E-458B-AF6A-C9DA5E15AD2A"
                                },
                                {
                                    "title":"Authentication for Accessing Oracle ASM Instances",
                                    "href":"authenticate-access-asm-instance.html#GUID-1A4E79BE-7D26-4FAC-BC11-B6C2F677A41F"
                                },
                                {
                                    "title":"Migration of a Database to Use Oracle ASM",
                                    "href":"migrate-db-to-asm.html#GUID-A26E7C1D-07AF-40A0-9BEF-BC6A72BCB594"
                                },
                                {
                                    "title":"Administering Oracle ASM audit trail",
                                    "href":"admin-oracle-asm-audit-trail.html#GUID-D9DEB164-5D2A-4D3B-9F17-D931043FD189"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">4 </span> Administering Oracle ASM Disk Groups",
                            "href":"admin-asm-diskgroups.html#GUID-C455CEB1-0FC3-4DF4-9CD4-25EFA4D2BE01",
                            "topics":[
                                {
                                    "title":"Managing Disk Group Attributes",
                                    "href":"manage-diskgroup-attributes.html#GUID-28A6ABB3-0AAB-4F7F-A843-CD5187F4D8DC"
                                },
                                {
                                    "title":"Creating Disk Groups",
                                    "href":"create-diskgroups.html#GUID-D8A4F1E1-D5F2-4372-8BF8-2A6CB9724930"
                                },
                                {
                                    "title":"Altering Disk Groups",
                                    "href":"alter-diskgroups.html#GUID-6BB31112-8687-4C1E-AF14-D94FFCDA736F"
                                },
                                {
                                    "title":"Oracle ASM Disk Discovery",
                                    "href":"asm-disk-discovery.html#GUID-75533657-85B0-4614-B489-C25DC150CA1D"
                                },
                                {
                                    "title":"Managing Capacity in Disk Groups",
                                    "href":"capacity-diskgroups.html#GUID-CF644399-17BF-4A2B-B01A-8F11B90A5267"
                                },
                                {
                                    "title":"Oracle ASM Mirroring and Disk Group Redundancy",
                                    "href":"mirroring-diskgroup-redundancy.html#GUID-76B31808-7017-4299-8CC2-EDD9FFEC4B37"
                                },
                                {
                                    "title":"Performance and Scalability Considerations for Disk Groups",
                                    "href":"performance-scability-diskgroup.html#GUID-BC6544D7-6D59-42B3-AE1F-4201D3459ADD"
                                },
                                {
                                    "title":"Disk Group Compatibility",
                                    "href":"diskgroup-compatibility.html#GUID-FBB5AA72-5208-48E1-BD8D-0FD4C6876F34"
                                },
                                {
                                    "title":"Managing Oracle ASM File Access Control for Disk Groups",
                                    "href":"asm-access-control-diskgroups.html#GUID-89BB888A-BA1C-4095-BB6D-C3BE142CB371"
                                },
                                {
                                    "title":"Maintaining Disk Groups",
                                    "href":"maintain-diskgroups.html#GUID-CCB2AE8D-2F2A-49DD-8F1D-6BF2F2DAFECB"
                                },
                                {
                                    "title":"Managing Oracle ASM Flex Disk Groups",
                                    "href":"asm-filegroups.html#GUID-1A056184-65E1-449C-B36A-83AF259A2309"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">5 </span> Administering Oracle ASM Files, Directories, and Templates",
                            "href":"asm-files-directories-templates.html#GUID-BBCDD96B-B9D5-49D9-AE38-A6C3C097DD54"
                        },
                        {
                            "title":"<span class=\"secnum\">6 </span> Using Views to Display Oracle ASM Information",
                            "href":"views-asm-info.html#GUID-82C92841-3812-4442-86E7-BA1496605685"
                        },
                        {
                            "title":"<span class=\"secnum\">7 </span> Administering Oracle ASM with Oracle Enterprise Manager",
                            "href":"admin-asm-em.html#GUID-4ABDA37B-6BCC-4313-A1B0-07E6F24A7936"
                        },
                        {
                            "title":"<span class=\"secnum\">8 </span> Performing Oracle ASM Data Migration with RMAN",
                            "href":"asm-migration-rman.html#GUID-EE232095-823A-4717-8629-75E6A750FCDB"
                        },
                        {
                            "title":"<span class=\"secnum\">9 </span> Managing Oracle ASM With ASMCA",
                            "href":"manage-asm-asmca.html#GUID-C29F444F-C440-450B-A13B-84CC2147826F"
                        },
                        {
                            "title":"<span class=\"secnum\">10 </span> Managing Oracle ASM with ASMCMD",
                            "href":"manage-asm-asmcmd.html#GUID-78D76D36-8395-4936-AF53-1A4A27806327",
                            "topics":[
                                {
                                    "title":"About ASMCMD",
                                    "href":"about-asmcmd.html#GUID-995198B7-9235-4FCF-988E-A48B3B62B405"
                                },
                                {
                                    "title":"ASMCMD Instance Management Commands",
                                    "href":"asmcmd-instance-commands.html#GUID-A2DBFB13-4AB7-4777-BC42-CC163EA1C9DF"
                                },
                                {
                                    "title":"ASMCMD Client Cluster Management Commands",
                                    "href":"asmcmd-cluster-commands.html#GUID-65FC331C-58EA-4901-AB59-795761D3D80A"
                                },
                                {
                                    "title":"ASMCMD Oracle ASM Filter Driver Management Commands",
                                    "href":"asmcmd-filterdriver-commands.html#GUID-C23690C6-0DE6-42A7-B9C7-4FB1FF13ED64"
                                },
                                {
                                    "title":"ASMCMD File Management Commands",
                                    "href":"asmcmd-file-commands.html#GUID-6A2AF65D-DEAA-422C-AD13-209DF53B65BA"
                                },
                                {
                                    "title":"ASMCMD Disk Group Management Commands",
                                    "href":"asmcmd-diskgroup-commands.html#GUID-3BA40908-0543-4968-B834-BD4D873E1059"
                                },
                                {
                                    "title":"ASMCMD File Group Management Commands",
                                    "href":"asmcmd-filegroup-commands.html#GUID-A70318CD-A096-43E7-9CCD-F3A3621C81AC"
                                },
                                {
                                    "title":"ASMCMD Template Management Commands",
                                    "href":"asmcmd-template-commands.html#GUID-AE2E2A3B-B912-4DBB-A977-CDB797532980"
                                },
                                {
                                    "title":"ASMCMD File Access Control Commands",
                                    "href":"asmcmd-accesscontrol-commands.html#GUID-AC0085E4-E4DC-4655-AD05-4C07B53900BE"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"Part III Advanced Topics",
                    "href":"part-advanced-topics.html#GUID-F0EE261D-33FC-45CA-9B39-FD371F05F7D6",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">11 </span> Managing Oracle Flex ASM",
                            "href":"manage-flex-asm.html#GUID-DE759521-9CF3-45D9-9123-7159C9ED4D30"
                        },
                        {
                            "title":"<span class=\"secnum\">12 </span> Administering Oracle ASM Filter Driver",
                            "href":"administer-filter-driver.html#GUID-2F5E344F-AFC2-4768-8C00-6F3C56302123"
                        },
                        {
                            "title":"<span class=\"secnum\">13 </span> Creating Database Files in Oracle ASM Using SQL*Plus",
                            "href":"create-db-asm-sqlplus.html#GUID-321251DC-DC32-4461-940D-0C513A3CEC30"
                        }
                    ]
                },
                {
                    "title":"Glossary",
                    "href":"glossary.html#GUID-E05C75EB-C94E-4F6D-AA0A-AFCDEFD22D9F"
                },
                {
                    "title":"Index",
                    "href":"book-index.html"
                }
            ]
        }
    ]
});