define(
{
    "reducedVersion":true,
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"List of Examples",
                    "href":"loe.html"
                },
                {
                    "title":"List of Figures",
                    "href":"lof.html"
                },
                {
                    "title":"List of Tables",
                    "href":"lot.html"
                },
                {
                    "title":"Title and Copyright Information",
                    "href":"index.html"
                },
                {
                    "title":"Preface",
                    "href":"preface.html#GUID-B6209E95-9DA8-4D37-9BAD-3F000C7E3590"
                },
                {
                    "title":"Part I Concepts and Administration",
                    "href":"oracle-data-guard-concepts.html#GUID-F78703FB-BD74-4F20-9971-8B37ACC40A65",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">1 </span> Introduction to Oracle Data Guard",
                            "href":"introduction-to-oracle-data-guard-concepts.html#GUID-5E73667D-4A56-445E-911F-1E99092DD8D7"
                        },
                        {
                            "title":"<span class=\"secnum\">2 </span> Getting Started with Oracle Data Guard",
                            "href":"getting-started-with-oracle-data-guard.html#GUID-31EBC212-59E1-4536-A884-EFA9FE3DFD84"
                        },
                        {
                            "title":"<span class=\"secnum\">3 </span> Creating a Physical Standby Database",
                            "href":"creating-oracle-data-guard-physical-standby.html#GUID-B511FB6E-E3E7-436D-94B5-071C37550170"
                        },
                        {
                            "title":"<span class=\"secnum\">4 </span> Creating a Logical Standby Database",
                            "href":"creating-oracle-data-guard-logical-standby.html#GUID-3666CA35-D993-44B6-8D70-A2B8B9EC8B2E"
                        },
                        {
                            "title":"<span class=\"secnum\">5 </span> Using Far Sync Instances",
                            "href":"creating-oracle-data-guard-far-sync-instance.html#GUID-8AD7FBA2-42B0-46CF-852B-1AF0CB4A36E8"
                        },
                        {
                            "title":"<span class=\"secnum\">6 </span> Oracle Data Guard Protection Modes",
                            "href":"oracle-data-guard-protection-modes.html#GUID-16298839-9B8A-4E58-8EC9-27912E57F1CE"
                        },
                        {
                            "title":"<span class=\"secnum\">7 </span> Redo Transport Services",
                            "href":"oracle-data-guard-redo-transport-services.html#GUID-0EC71C7D-A80B-40AA-93E5-28BB7E24ED31"
                        },
                        {
                            "title":"<span class=\"secnum\">8 </span> Apply Services",
                            "href":"oracle-data-guard-redo-apply-services.html#GUID-B40DF83F-D4A0-4710-935B-AA5D4B2D9010"
                        },
                        {
                            "title":"<span class=\"secnum\">9 </span> Role Transitions",
                            "href":"managing-oracle-data-guard-role-transitions.html#GUID-44F26D5F-E036-4ACD-B8F0-224F5498FBCE"
                        },
                        {
                            "title":"<span class=\"secnum\">10 </span> Managing Physical and Snapshot Standby Databases",
                            "href":"managing-oracle-data-guard-physical-standby-databases.html#GUID-B140C38B-DE01-4252-8422-7154018DDFEC"
                        },
                        {
                            "title":"<span class=\"secnum\">11 </span> Managing a Logical Standby Database",
                            "href":"managing-oracle-data-guard-logical-standby-databases.html#GUID-4177C717-4244-4E33-ACE7-15D53EAB2443"
                        },
                        {
                            "title":"<span class=\"secnum\">12 </span> Using RMAN to Back Up and Restore Files",
                            "href":"using-RMAN-in-oracle-data-guard-configurations.html#GUID-516D9C60-F2EF-4822-BB87-5D3BE877B69B"
                        },
                        {
                            "title":"<span class=\"secnum\">13 </span> Using SQL Apply to Upgrade the Oracle Database",
                            "href":"using-sql-apply-to-perform-rolling-upgrade.html#GUID-290F632F-5295-47F3-AEF1-2D37C69C00D7"
                        },
                        {
                            "title":"<span class=\"secnum\">14 </span> Using DBMS_ROLLING to Perform a Rolling Upgrade",
                            "href":"using-DBMS_ROLLING-to-perform-rolling-upgrade.html#GUID-70C09F5B-90BE-4C8C-96A5-45A52E05D380"
                        },
                        {
                            "title":"<span class=\"secnum\">15 </span> Oracle Data Guard Scenarios",
                            "href":"examples-of-using-oracle-data-guard.html#GUID-07C5867F-C55F-4B5B-804F-1800CE9985EF"
                        }
                    ]
                },
                {
                    "title":"Part II Reference",
                    "href":"oracle-data-guard-parameters-views.html#GUID-626518B4-BF38-4D93-A543-457D55CA5B75",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">16 </span> Initialization Parameters",
                            "href":"oracle-initialization-parameters-used-by-oracle-data-guard.html#GUID-A1CF9B00-F0F5-4F3B-A0E0-9D6ABF775EC9"
                        },
                        {
                            "title":"<span class=\"secnum\">17 </span> LOG_ARCHIVE_DEST_n Parameter Attributes",
                            "href":"LOG_ARCHIVE_DEST_n-parameter-attributes.html#GUID-B04FC22C-F0B0-440F-BAF4-182EE547FCC1"
                        },
                        {
                            "title":"<span class=\"secnum\">18 </span> SQL Statements Relevant to Oracle Data Guard",
                            "href":"sql-statements-used-by-oracle-data-guard.html#GUID-A3B54628-8FDB-4E99-A933-9EDD59AAC2DF"
                        },
                        {
                            "title":"<span class=\"secnum\">19 </span> Views Relevant to Oracle Data Guard",
                            "href":"oracle-data-guard-in-oracle-database-views.html#GUID-FF72163C-78B0-475F-B4CE-135EF288A32A"
                        }
                    ]
                },
                {
                    "title":"Appendixes",
                    "href":"oracle-data-guard-supplemental-information.html#GUID-C91E0FCA-BFA0-44ED-8343-763201404D04",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">A </span> Troubleshooting Oracle Data Guard",
                            "href":"troubleshooting-oracle-data-guard.html#GUID-1AF3825C-C58B-4362-ADD5-A21FEF75912F"
                        },
                        {
                            "title":"<span class=\"secnum\">B </span> Patching, Upgrading, and Downgrading Databases in an Oracle Data Guard Configuration",
                            "href":"upgrading-patching-downgrading-oracle-data-guard-configuration.html#GUID-A4FBE490-7E7E-4998-B80E-01C93C77AE2F"
                        },
                        {
                            "title":"<span class=\"secnum\">C </span> Data Type and DDL Support on a Logical Standby Database",
                            "href":"data-type-ddl-support-on-logical-standby-databases.html#GUID-340BA6D6-74D5-4684-AF39-08890D5CD9D4"
                        },
                        {
                            "title":"<span class=\"secnum\">D </span> Oracle Data Guard and Oracle Real Application Clusters",
                            "href":"configuring-data-guard-standby-databases-in-oracle-RAC.html#GUID-084DF97B-5524-401A-BAA4-65BA279F5B11"
                        },
                        {
                            "title":"<span class=\"secnum\">E </span> Creating a Standby Database with Recovery Manager",
                            "href":"creating-data-guard-standby-database-using-RMAN.html#GUID-82731D59-A20F-45DD-A235-267B3B0E38C5"
                        },
                        {
                            "title":"<span class=\"secnum\">F </span> Setting Archive Tracing",
                            "href":"setting-LOG_ARCHIVE_TRACE-initialization-parameter.html#GUID-515A27B2-5163-42E1-A78D-B6E979BA54EB"
                        },
                        {
                            "title":"<span class=\"secnum\">G </span> Performing Role Transitions Using Old Syntax",
                            "href":"performing-oracle-data-guard-role-transitions.html#GUID-6E78412B-8E55-4D8B-A318-9F0612376E86"
                        },
                        {
                            "title":"<span class=\"secnum\">H </span> Using the ALTERNATE Attribute to Configure Remote Alternate Destinations",
                            "href":"using-ALTERNATE-attribute-to-configure-alternate-destinations.html#GUID-7055337B-A852-402F-8B2F-2E119CBE6437"
                        }
                    ]
                },
                {
                    "title":"Index",
                    "href":"book-index.html"
                }
            ]
        }
    ]
});